<script setup>
import axios from "axios";
import { onBeforeMount, ref } from "vue";
import { useRoute } from "vue-router";
import AmiiboComponent from "../component/AmiiboComponent.vue";
import SidebarComponent from "../component/SidebarComponent.vue";
const route = useRoute();
const amiibo = ref();
onBeforeMount(() => {
  axios
    .get("https://www.amiiboapi.com/api/amiibo/?tail=" + route.params.tail)
    .then((response) => {
      amiibo.value = response.data;
    });
});
console.log(amiibo);

</script>

<template>
<section id="main">
					<div class="container">
						<div class="row">
							<div class="col-4 col-12-medium">

                  <SidebarComponent :amiibo="amiibo.amiibo[0]"/>

							</div>
							<div class="col-8 col-12-medium imp-medium">

								<!-- Content -->
									<article class="box post">
										<a href="#" class="featured"><img :src="amiibo.amiibo[0].image" alt="" /></a>
										<header>
											<h2>{{amiibo.amiibo[0].name}}</h2>
											<p>{{amiibo.amiibo[0].type}}</p>
										</header>
										
										
										
									</article>

							</div>
						</div>
					</div>
				</section>

</template>

<style>
.center{
  display: flex;
  justify-content: center;
}
</style>
